/*
 *                 Common Public License Notice
 * 
 * The contents of this file are subject to the Common Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License should have been 
 * provided in the release which contained this file. If none was provided,
 * copies are available at http://www.opensource.org/
 *
 * Copyright (c) 2003 Ascert LLC.
 *
 * Contact: Ascert LLC (info@ascert.com)
 * Contributor(s):
 *      Rob Walker, Ascert LLC
 *
 */

#ifndef _X25UTL_H_
#define _X25UTL_H_

typedef struct
{
    int         err;
    const char  *exc;
    const char  *txt;
} X25_ERRMAP;

JNIEXPORT void JNICALL
UTL_throw(JNIEnv *, X25_ERRMAP *, int , char *, char *);

#endif
